WordPress.org

Making WordPress.org

Opened 2 years ago

Closed 11 months ago

Last modified 11 months ago

#2626 closed defect (fixed)

Time and date missing from make P2 emails that use the [time] shortcode

Reported by: netweb Owned by:
Milestone: Priority: normal
Component: Make (Get Involved) / P2 Keywords:
Cc:

Description

In this image, on the left is the email subscription, on the right the webpage from the #polyglots post here

I expected to see something like Wednesday, 29 March 2017, 17:00 GMT+11 which is via the [time] shortcode [time]Wednesday, March 29, 2017, 06:00 UTC[/time]. Instead there is no time and date in the email:

https://cldup.com/NrneVhSFrD.png.

Change History (12)

#2 @jbpaul17
22 months ago

Seems like the easiest change is to ignore [time] and [/time] when sending emails, but I'm open to better alternatives. Thoughts?

Last edited 12 months ago by SergeyBiryukov (previous) (diff)

#3 @dd32
15 months ago

  • Keywords needs-patch removed

These emails are sent by Jetpack, which doesn't support custom shortcodes: https://jetpack.com/support/subscriptions/#why-are-my-shortcodes-not-rendering-correctly

Unfortunately I'm not aware of any work around for that though - @kraftbj ? (Can we get Jetpack to support the [time] shortcode maybe?)

#4 @kraftbj
15 months ago

We would need to commit it to WP.com overall (not just part of o2, where it lives now), but it is definitely something we can consider.

I think we might have some workarounds, let me take this ball and see where I can take it.

This ticket was mentioned in Slack in #meta by sergey. View the logs.


12 months ago

#6 @obenland
11 months ago

@gibrown Based on your comment in Slack, can we consider this fixed?

#7 @gibrown
11 months ago

@obenland kinda fixed yes. I am not sure that the time zone stuff is handled correctly. I think the time in the emails may either always be UTC or be Dallas. But I couldn't find an example email to be sure.

#8 follow-up: @obenland
11 months ago

I'm leaning towards considering it fixed. @netweb?

#9 in reply to: ↑ 8 @netweb
11 months ago

Replying to obenland:

I'm leaning towards considering it fixed. @netweb?

I'll defer to @jeffpaul, how are you formatting the make/core weekly emails for this at the moment?

#10 @gibrown
11 months ago

  • Resolution set to fixed
  • Status changed from new to closed

@obenland I found an email. Ya it is displaying it in UTC (at least for me). That seems sufficient I would say, so I'd say let's call this fixed. I'm not really sure we'd have good data to be sure what timezone to use for everyone anyways.

#11 @JeffPaul
11 months ago

@netweb the formatting that I'm using on make/core is:

[time]June 6, 2018 at 20:00 UTC[/time] / June 6, 2018 at 20:00 UTC

I'll check and see how things output on my next couple posts and see if it displays the time within the shortcode or not (previously it was stripped out of emails).

#12 @JeffPaul
11 months ago

Yep, today's devchat summary post using the time shortcode I noted above showed the UTC time. I no longer need to double up on time/date display... hooray!

Note that I'll check this one more time when publishing to Make/Tide next week. *fingers crossed*

Note: See TracTickets for help on using tickets.